<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: animsition_panel.php
| Version: 1.0
| Author: PHP-Fusion USA (KasteR)
| Site: http://www.php-fusion.us/
| Credits: Plugin code originally from blivesta (http://blivesta.com/) 
| ported for use with PHP-Fusion.
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."animsition_panel/infusion_db.php";
require_once INCLUDES."infusions_include.php";
$result = dbquery("SELECT * FROM ".DB_ANIMSITION_SETTINGS."");
if(dbrows($result)) $data = dbarray($result);
add_to_head('<link rel="stylesheet" href="'.INFUSIONS.'animsition_panel/includes/css/animsition.min.css" type="text/css" media="screen" />
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Ubuntu">');
add_to_footer('
	<script type="text/javascript" src="'.INFUSIONS.'animsition_panel/includes/js/jquery.animsition.min.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			$("body").addClass("animsition");
			$(".animsition").animsition({
				inClass               : \''.$data['inClass'].'\',
				outClass              : \''.$data['outClass'].'\',
				inDuration            : '.$data['inDuration'].',
				outDuration           : '.$data['outDuration'].',
				linkElement  		  : \'a:not([target="_blank"]):not([href^=#])\',
				loading               : '.$data['loading'].',
				loadingParentElement  : \'html\', //animsition wrapper element
				loadingClass          : \'animsition-loading\',
				unSupportCss          : [ \'animation-duration\',
										  \'-webkit-animation-duration\',
										  \'-o-animation-duration\'
										],
				//"unSupportCss" option allows you to disable the "animsition" in case the css property in the array is not supported by your browser.
				//The default setting is to disable the "animsition" in a browser that does not support "animation-duration".
				overlay               : false,
				overlayClass          : \'animsition-overlay-slide\',
				overlayParentElement  : \'body\'
			  });
		});
	</script>
');
?>