<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.0
| Author: PHP-Fusion USA (KasteR)
| Site: http://www.php-fusion.us/
| Credits: Plugin code originally from blivesta (http://blivesta.com/) 
| ported for use with PHP-Fusion.
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."animsition_panel/infusion_db.php";
if (file_exists(INFUSIONS."animsition_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."animsition_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."animsition_panel/locale/English.php";
}

$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "1.0";
$inf_developer = "PHP Fusion USA - KasteR";
$inf_email = "kaster@yahoo.com";
$inf_weburl = "http://www.php-fusion.us";

$inf_folder = "animsition_panel";

$inf_newtable[1] = DB_ANIMSITION_SETTINGS." (
	id MEDIUMINT(8) unsigned NOT NULL AUTO_INCREMENT,
	inClass TEXT NOT NULL,
	outClass TEXT NOT NULL,
	inDuration TEXT NOT NULL,
	outDuration INT(10) UNSIGNED DEFAULT '0' NOT NULL,
	loading VARCHAR(100) DEFAULT '' NOT NULL,
	PRIMARY KEY (id)
	) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('".$locale['inf_title']."', '".$inf_folder."', '', '2', '1', 'file', '0', '1', '1')";
$inf_insertdbrow[2] = DB_ANIMSITION_SETTINGS." (inClass, outClass, inDuration, outDuration, loading) VALUES ('fade-in', 'fade-out', '1500', '800', 'true')";

$inf_droptable[1] = DB_ANIMSITION_SETTINGS;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "",
	"panel" => "animsition_admin.php",
	"rights" => "AP"
);
?>